//
//  iTunesEndpoint.swift
//  IPATool
//
//  Created by Majd Alfhaily on 22.05.21.
//

import Foundation

enum iTunesEndpoint {
    case search
    case lookup
}

extension iTunesEndpoint: HTTPEndpoint {
    var url: URL {
        var components = URLComponents(string: path)!
        components.scheme = "https"
        components.host = "itunes.apple.com"
        return components.url!
    }

    private var path: String {
        switch self {
        case .search:
            "/search"
        case .lookup:
            "/lookup"
        }
    }
}
